メインコンテンツへスキップ
GET
/
cms
/
v3
/
url-redirects
現在のリダイレクトを取得
curl --request GET \
  --url https://api.hubapi.com/cms/v3/url-redirects/ \
  --header 'Authorization: Bearer <token>'
{
  "paging": {
    "next": {
      "after": "Mg%3D%3D",
      "link": "https://api.hubspot.com/cms/v3/url-redirects?after=Mg%3D%3D"
    }
  },
  "results": [
    {
      "createdAt": "2017-07-24T17:24:09.141Z",
      "destination": "http://www.example.online/{page_slug}",
      "id": "3212223134",
      "isMatchFullUrl": true,
      "isMatchQueryString": false,
      "isOnlyAfterNotFound": true,
      "isPattern": false,
      "isProtocolAgnostic": true,
      "isTrailingSlashOptional": true,
      "precedence": 3,
      "redirectStyle": 301,
      "routePrefix": "http://test.hs-sites.com/(?P<page_slug>.*)",
      "updatedAt": "2017-07-24T17:24:09.141Z"
    },
    {
      "createdAt": "2017-07-25T15:42:06.410Z",
      "destination": "/newtest/{page_slug}",
      "id": "3212242073",
      "isMatchFullUrl": true,
      "isMatchQueryString": false,
      "isOnlyAfterNotFound": true,
      "isPattern": false,
      "isProtocolAgnostic": true,
      "isTrailingSlashOptional": true,
      "precedence": 999999993,
      "redirectStyle": 301,
      "routePrefix": "/mytest/(?P<page_slug>.*)",
      "updatedAt": "2017-07-25T15:42:06.410Z"
    }
  ],
  "total": 2
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -Starter

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean

アーカイブ済みの結果のみを返すかどうか。

createdAfter
string<date-time>

この日付より後に作成されたリダイレクトのみを返します。

createdAt
string<date-time>

この日付ちょうどに作成されたリダイレクトのみを返します。

createdBefore
string<date-time>

この日付より前に作成されたリダイレクトのみを返します。

limit
integer<int32>

ページあたりの結果の最大数

sort
string[]

URLリダイレクトが返される順序を指定するクエリーパラメーター。

updatedAfter
string<date-time>

この日付より後に最後に更新されたリダイレクトのみを返します。

updatedAt
string<date-time>

この日付ちょうどに最後に更新されたリダイレクトのみを返します。

updatedBefore
string<date-time>

この日付より前に最後に更新されたリダイレクトのみを返します。

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須

使用可能なURLマッピングの合計数。

paging
object
Last modified on March 30, 2026